Subject: Re: [patch 23/33] powerpc: Localize mmu_off

From: Geoff Levand <[email-masked]>
Date: Sat, 23 Jun 2007 12:24:54 -0700

Paul Mackerras wrote:
> Geoff Levand writes:
> 
>> This just removes the dependency __mmu_off has on the symbol
>> __after_prom_start.  I found the current code inconvenient when I
>> wanted to put some debugging code between the call to __mmu_off
>> and the branch to __after_prom_start.
> 
> So we do an extra unnecessary branch...  I realize it doesn't really
> matter, but on the other hand, if you're hacking around with debug
> stuff, you can easily change __after_prom_start to the label where
> your debug code starts.

Sure, I don't really care about this one, so let's drop it.

-Geoff